
Foreman - Bug #5754

Cloud-init phone_home raise 500 error because of POST content

05/16/2014 08:57 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Romain Vrignaud   

Category: Templates   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1107690 Red Hat JIRA:  

Pull request:    

Description

POST content (hostname ?) make foreman raise a 500 error.

We should empty the content of the POST.

Started POST "/unattended/built?token=xxxx" for 10.237.2.40 at 2014-05-16 08:28:48 +0000

Processing by UnattendedController#built as */*

  Parameters: {"instance_id"=>"i-0000198e", "pub_key_rsa"=>"xxxx", "hostname"=>"ddsfdsdfs", "pub_k

ey_ecdsa"=>"xxxx", "pub_key_dsa"=>"xxx", "token"=>"xxx"}

WARNING: Can't verify CSRF token authenticity

Redirected to http://test.example.com:3000/users/login

Filter chain halted as :require_login rendered or redirected

Completed 302 Found in 2.5ms (ActiveRecord: 0.6ms)

Started POST "/users/login" for 10.237.2.40 at 2014-05-16 08:28:48 +0000

Processing by UsersController#login as */*

WARNING: Can't verify CSRF token authenticity

Setting current user thread-local variable to nil

Operation FAILED: undefined method `[]' for nil:NilClass

/home/rrondeau/foreman/app/controllers/users_controller.rb:72:in `login'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_controller/metal/implicit_render.rb:4:i

n `send_action'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/abstract_controller/base.rb:167:in `process_ac

tion'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_controller/metal/rendering.rb:10:in `pr

ocess_action'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/abstract_controller/callbacks.rb:18:in `block 

in process_action'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:461:in `block (

3 levels) in _run__2098843741482245584__process_action__4538368254813143935__callbacks'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:215:in `block i

n _conditional_callback_around_6377'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:326:in `around'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:310:in `_callba

ck_around_906'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:214:in `_condit

ional_callback_around_6377'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:460:in `block (

2 levels) in _run__2098843741482245584__process_action__4538368254813143935__callbacks'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:215:in `block i

n _conditional_callback_around_6376'

/home/rrondeau/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:214:in `_condit

ional_callback_around_6376'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:415:in `block i

n _run__2098843741482245584__process_action__4538368254813143935__callbacks'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:215:in `block i

n _conditional_callback_around_6375'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:326:in `around'

05/10/2024 1/4



/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:310:in `_callba

ck_around_13'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:214:in `_condit

ional_callback_around_6375'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:414:in `_run__2

098843741482245584__process_action__4538368254813143935__callbacks'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405:in `__run_c

allback'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:385:in `_run_pr

ocess_action_callbacks'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:81:in `run_call

backs'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/abstract_controller/callbacks.rb:17:in `proces

s_action'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_controller/metal/rescue.rb:29:in `proce

ss_action'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_controller/metal/instrumentation.rb:30:

in `block in process_action'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/notifications.rb:123:in `blo

ck in instrument'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/notifications/instrumenter.r

b:20:in `instrument'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/notifications.rb:123:in `ins

trument'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_controller/metal/instrumentation.rb:29:

in `process_action'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_controller/metal/params_wrapper.rb:207:

in `process_action'

/usr/lib/ruby/gems/2.0.0/gems/activerecord-3.2.18/lib/active_record/railties/controller_runtime.rb

:18:in `process_action'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/abstract_controller/base.rb:121:in `process'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/abstract_controller/rendering.rb:45:in `proces

s'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_controller/metal.rb:203:in `dispatch'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_controller/metal/rack_delegation.rb:14:

in `dispatch'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_controller/metal.rb:246:in `block in ac

tion'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.rb:73:in `ca

ll'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.rb:73:in `di

spatch'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.rb:36:in `ca

ll'

/usr/lib/ruby/gems/2.0.0/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/usr/lib/ruby/gems/2.0.0/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/usr/lib/ruby/gems/2.0.0/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.rb:608:in `c

all'

/usr/lib/ruby/gems/2.0.0/gems/apipie-rails-0.1.3/lib/apipie/static_dispatcher.rb:65:in `call'

/usr/lib/ruby/gems/2.0.0/gems/rack-openid-1.4.2/lib/rack/openid.rb:98:in `call'

/usr/lib/ruby/gems/2.0.0/gems/apipie-rails-0.1.3/lib/apipie/middleware/checksum_in_headers.rb:27:i

n `call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/best_standards_supp

ort.rb:17:in `call'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/etag.rb:23:in `call'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/conditionalget.rb:35:in `call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/head.rb:14:in `call

'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/params_parser.rb:21

:in `call'

/home/rrondeau/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/flash.rb:242:in `ca

ll'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210:in `context'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205:in `call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/cookies.rb:341:in `
call'

/usr/lib/ruby/gems/2.0.0/gems/activerecord-3.2.18/lib/active_record/query_cache.rb:64:in `call'

/usr/lib/ruby/gems/2.0.0/gems/activerecord-3.2.18/lib/active_record/connection_adapters/abstract/c

onnection_pool.rb:479:in `call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/callbacks.rb:28:in 

`block in call'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405:in `_run__4

061752724268364408__call__1048963326518903143__callbacks'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405:in `__run_c

allback'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:385:in `_run_ca

ll_callbacks'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:81:in `run_call

backs'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/callbacks.rb:27:in 

`call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/remote_ip.rb:31:in 

`call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/debug_exceptions.rb

:16:in `call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/show_exceptions.rb:

56:in `call'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/rack/logger.rb:32:in `call_app'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/rack/logger.rb:16:in `block in call'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/tagged_logging.rb:22:in `tag

ged'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/rack/logger.rb:16:in `call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/request_id.rb:22:in

 `call'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/methodoverride.rb:21:in `call'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/runtime.rb:17:in `call'

/usr/lib/ruby/gems/2.0.0/gems/activesupport-3.2.18/lib/active_support/cache/strategy/local_cache.r

b:72:in `call'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/lock.rb:15:in `call'

/usr/lib/ruby/gems/2.0.0/gems/actionpack-3.2.18/lib/action_dispatch/middleware/static.rb:63:in `ca

ll'

/usr/lib/ruby/gems/2.0.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/usr/lib/ruby/gems/2.0.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

/usr/lib/ruby/gems/2.0.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'

/usr/lib/ruby/gems/2.0.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

/usr/lib/ruby/gems/2.0.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/engine.rb:484:in `call'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/application.rb:231:in `call'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/railtie/configurable.rb:30:in `method_miss

ing'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/builder.rb:134:in `call'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/urlmap.rb:64:in `block in call'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `each'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `call'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/content_length.rb:14:in `call'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/rack/log_tailer.rb:17:in `call'

/usr/lib/ruby/gems/2.0.0/gems/thin-1.6.2/lib/thin/connection.rb:86:in `block in pre_process'

/usr/lib/ruby/gems/2.0.0/gems/thin-1.6.2/lib/thin/connection.rb:84:in `catch'

/usr/lib/ruby/gems/2.0.0/gems/thin-1.6.2/lib/thin/connection.rb:84:in `pre_process'

/usr/lib/ruby/gems/2.0.0/gems/thin-1.6.2/lib/thin/connection.rb:53:in `process'

/usr/lib/ruby/gems/2.0.0/gems/thin-1.6.2/lib/thin/connection.rb:39:in `receive_data'

/usr/lib/ruby/gems/2.0.0/gems/eventmachine-1.0.3/lib/eventmachine.rb:187:in `run_machine'

/usr/lib/ruby/gems/2.0.0/gems/eventmachine-1.0.3/lib/eventmachine.rb:187:in `run'

/usr/lib/ruby/gems/2.0.0/gems/thin-1.6.2/lib/thin/backends/base.rb:73:in `start'

/usr/lib/ruby/gems/2.0.0/gems/thin-1.6.2/lib/thin/server.rb:162:in `start'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/handler/thin.rb:13:in `run'

/usr/lib/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/server.rb:268:in `start'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/commands/server.rb:70:in `start'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/commands.rb:55:in `block in <top (required

)>'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/commands.rb:50:in `tap'

/usr/lib/ruby/gems/2.0.0/gems/railties-3.2.18/lib/rails/commands.rb:50:in `<top (required)>'
script/rails:6:in `require'

script/rails:6:in `<main>'

  Rendered common/500.html.erb within layouts/application (3.9ms)

  Rendered layouts/base.html.erb (1.1ms)

Completed 500 Internal Server Error in 9.8ms (Views: 6.1ms | ActiveRecord: 1.5ms)

Related issues:

Has duplicate Foreman - Bug #6000: on 1.5 hosts build on compute resources re... Duplicate 05/30/2014

Has duplicate Foreman - Bug #15074: cloud init fails to mark instance as built Duplicate 05/17/2016

Associated revisions

Revision adc47612 - 05/16/2014 05:09 AM - Romain Vrignaud 

Fix #5754 Fix cloud-init phone_home function

Revision f7e359c9 - 06/11/2014 01:08 PM - Romain Vrignaud

Fixes #5754 Fix cloud-init phone_home function

History

#1 - 05/16/2014 09:11 AM - Dominic Cleal

- Project changed from Templates to Foreman

- Category set to Templates

- Status changed from Assigned to Closed

- Target version set to 1.8.3

- % Done changed from 0 to 100

- translation missing: en.field_release set to 16

https://github.com/theforeman/community-templates/commit/adc4761238bbf1a1a1fecb6f64772a2c19619bf8

Needs syncing to core.

#2 - 06/02/2014 10:20 AM - Dominic Cleal

- Has duplicate Bug #6000: on 1.5 hosts build on compute resources remain in "building" indefinitely added

#3 - 06/10/2014 12:49 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107690

#4 - 05/18/2016 03:07 AM - Dominic Cleal

- Has duplicate Bug #15074: cloud init fails to mark instance as built  added
